<?php
//  app/api/payments/pagomovil/cleanoperations.php
    header("Content-Type:application/json");
    include("../../../../settings/dbconn.php");
    include("../../../../settings/utils.php");
    
    //Definicion de variables
    $out = new stdClass();
    // TIEMPO LIMITE PARA CANCELARLAS SIEMPRE EN HORAS
    $limittime = "24";
    // TIEMPO LIMITE PARA CANCELAR LAS POR VALIDAR
    $limittimevalidation = "24";
    
    // Limpiamos primero las que no han sido validadas
    $sql = "SELECT * ".
    "       FROM payments_pagomovil ".
    "       WHERE status = 1 ".
    "       AND validationcode IS NOT NULL ".
    "       AND DATE_ADD(datecreated, INTERVAL ".$limittimevalidation." HOUR) < DATE(NOW()) ";
    if (!$rs=$db->query($sql))
        badEnd("500", array("msg"=>determinateDBError($db)));
        
    while($txdata = $rs->fetch_assoc()){
        
        // Las pasamos a cancelado
        $sql = "UPDATE payments_pagomovil SET ".
        "       status = 4, ".
        "       validationcode = NULL, ".
        "       ref = 'Falta de confirmación'".
        "       WHERE id = ".$txdata['id'];
        if (!$db->query($sql))
            badEnd("500", array("msg"=>determinateDBError($db)));
    }
    
    // Limpiamos las que llevan mucho tiempo en cola
    $sql = "SELECT * ".
    "       FROM payments_pagomovil ".
    "       WHERE status = 2 ".
    "       AND txid IS NULL ".
    "       AND DATE_ADD(sendat, INTERVAL ".$limittime." HOUR) < DATE(NOW()) ";
    if (!$rs=$db->query($sql))
        badEnd("500", array("msg"=>determinateDBError($db)));
        
    while($txdata = $rs->fetch_assoc()){
        
        // Las pasamos a cancelado
        $sql = "UPDATE payments_pagomovil SET ".
        "       status = 4, ".
        "       validationcode = NULL, ".
        "       ref = 'Tiempo de cola excedido'".
        "       WHERE id = ".$txdata['id'];
        if (!$db->query($sql))
            badEnd("500", array("msg"=>determinateDBError($db)));
    }
    
    $out->msg = "Completado";
    
    header("HTTP/1.1 200");
    echo(json_encode($out));
    die();
?>